# Group Activity Analytics API

> 原文：[https://docs.gitlab.com/ee/api/group_activity_analytics.html](https://docs.gitlab.com/ee/api/group_activity_analytics.html)

*   [Get count of recently created issues for group](#get-count-of-recently-created-issues-for-group)
*   [Get count of recently created merge requests for group](#get-count-of-recently-created-merge-requests-for-group)
*   [Get count of members recently added to group](#get-count-of-members-recently-added-to-group)

# Group Activity Analytics API[](#group-activity-analytics-api "Permalink")

**注意：**此功能是在 GitLab 12.9 中[引入的](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/26460) .

## Get count of recently created issues for group[](#get-count-of-recently-created-issues-for-group "Permalink")

```
GET /analytics/group_activity/issues_count 
```

Parameters:

| Attribute | Type | Required | Description |
| --- | --- | --- | --- |
| `group_path` | string | yes | 组路径 |

请求示例：

```
curl --header "PRIVATE-TOKEN: <your_access_token>" "https://gitlab.example.com/api/v4/analytics/group_activity/issues_count?group_path=gitlab-org" 
```

响应示例：

```
{  "issues_count":  10  } 
```

## Get count of recently created merge requests for group[](#get-count-of-recently-created-merge-requests-for-group "Permalink")

```
GET /analytics/group_activity/merge_requests_count 
```

Parameters:

| Attribute | Type | Required | Description |
| --- | --- | --- | --- |
| `group_path` | string | yes | 组路径 |

请求示例：

```
curl --header "PRIVATE-TOKEN: <your_access_token>" "https://gitlab.example.com/api/v4/analytics/group_activity/merge_requests_count?group_path=gitlab-org" 
```

响应示例：

```
{  "merge_requests_count":  10  } 
```

## Get count of members recently added to group[](#get-count-of-members-recently-added-to-group "Permalink")

```
GET /analytics/group_activity/new_members_count 
```

Parameters:

| Attribute | Type | Required | Description |
| --- | --- | --- | --- |
| `group_path` | string | yes | 组路径 |

请求示例：

```
curl --header "PRIVATE-TOKEN: <your_access_token>" "https://gitlab.example.com/api/v4/analytics/group_activity/new_members_count?group_path=gitlab-org" 
```

响应示例：

```
{  "new_members_count":  10  } 
```